Skip to main content
Back to API List Controls the transcription session of an AI Agent conversation. Use this API to start, pause, resume, or end an ongoing transcription session.

API Details

FieldValue
MethodPOST
Endpointhttps://{{host}}/api/1.1/public/bot/{{botid}}/control/transcription?conversationId={{conversationId}}
Content Typeapplication/json
Authorizationauth: {{JWT}} — See How to generate the JWT Token
API ScopeAgentAssist Transcription — See How to generate the JWT Token

Path Parameters

ParameterRequiredDescription
hostYesEnvironment URL, for example, https://platform.kore.ai
botIdYesUnique ID of the AI Agent

Query Parameters

ParameterRequiredDescription
conversationIdYesUnique identifier of the AI Agent conversation

Sample Requests

Start transcription
curl --location 'https://{{host}}/api/1.1/public/bot/st-4b8bb9d0-096d-56e5-b72f-f43ecf1xxxxx/control/transcription?conversationId=CAe8a34d2556235bcf0cbc51e98bbxxxxx' \
--header 'auth: {{JWT_TOKEN}}' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer xxxxOiJIUzI1NiIsInR5cCI6IkpXVCJ9...' \
--data '{
    "action": "start",
    "agentId": "<AgentID>"
}'
Pause transcription
curl --location 'https://{{host}}/api/1.1/public/bot/st-4b8bb9d0-096d-56e5-b72f-f43ecf1xxxxx/control/transcription?conversationId=CAe8a34d2556235bcf0cbc51e98bbxxxxx' \
--header 'auth: {{JWT_TOKEN}}' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer xxxxOiJIUzI1NiIsInR5cCI6IkpXVCJ9...' \
--data '{
    "action": "pause",
    "agentId": "<Agent ID>",
    "handover": true
}'
Resume transcription
curl --location 'https://{{host}}/api/1.1/public/bot/st-4b8bb9d0-096d-56e5-b72f-f43ecf1xxxxx/control/transcription?conversationId=CAe8a34d2556235bcf0cbc51e98bbxxxxx' \
--header 'auth: {{JWT_TOKEN}}' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer xxxxOiJIUzI1NiIsInR5cCI6IkpXVCJ9...' \
--data '{
    "action": "resume",
    "agentId": "<Agent ID>"
}'
End transcription
curl --location 'https://{{host}}/api/1.1/public/bot/st-4b8bb9d0-096d-56e5-b72f-f43ecf1xxxxx/control/transcription?conversationId=CAe8a34d2556235bcf0cbc51e98bbxxxxx' \
--header 'auth: {{JWT_TOKEN}}' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer xxxxOiJIUzI1NiIsInR5cCI6IkpXVCJ9...' \
--data '{
    "action": "end",
    "agentId": "<Agent ID>"
}'

Body Parameters

ParameterRequiredDescription
actionYesThe control action to perform. Available values: start, pause, resume, end.
agentIdYesThe ID of the agent.
handoverYes (with pause)Indicates whether the conversation is being transferred to another agent. true = cold transfer; false = normal hold.

Sample Response

{
    "status": "success"
}